API DocumentationProjects
List projects
List all projects for the authenticated user.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Query Parameters
cols?array<>
Optional list of columns to include. When omitted, all columns are returned.
Items
1 <= itemsResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/customers/my/projects"{ "projects": [ { "id": "default", "name": "default", "description": "My default project", "user_id": "string", "is_default": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}